aboutsummaryrefslogtreecommitdiff
path: root/gnome
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-17 18:38:56 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-17 18:38:56 +0000
commited5454b0b5b0e1f948434b2c8283a013378c10f7 (patch)
tree5ba0aaff0eabd5212de6b5668afdbe90eafcf3f5 /gnome
parent69b210b10c7c781983943b7ee5e0152cba3296c9 (diff)
downloadslackbuilds-ed5454b0b5b0e1f948434b2c8283a013378c10f7.tar.gz
slackbuilds-ed5454b0b5b0e1f948434b2c8283a013378c10f7.tar.bz2
added gnome-doc-utils
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@416 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'gnome')
-rwxr-xr-xgnome/gnome-doc-utils/gnome-doc-utils.SlackBuild131
1 files changed, 131 insertions, 0 deletions
diff --git a/gnome/gnome-doc-utils/gnome-doc-utils.SlackBuild b/gnome/gnome-doc-utils/gnome-doc-utils.SlackBuild
new file mode 100755
index 00000000..eb90004b
--- /dev/null
+++ b/gnome/gnome-doc-utils/gnome-doc-utils.SlackBuild
@@ -0,0 +1,131 @@
+#!/bin/bash
+#
+# slackbuild script for gnome-doc-utils
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building gnome-doc-utils are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="gnome-doc-utils"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.8.0}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="ftp://ftp.gnome.org/pub/gnome/sources/gnome-doc-utils/0.8/$SRC"
+MD5="$PACKAGE-$VERSION.md5sum"
+MD5_URL="ftp://ftp.gnome.org/pub/gnome/sources/gnome-doc-utils/0.8/$MD5"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ]; then
+ if [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+ fi
+ if [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$MD5_URL" -O "$SRC_DIR/$MD5" || exit $ERROR_WGET
+ fi
+fi
+
+md5sum $SRC_DIR/$SRC | diff - `grep $SRC $SRC_DIR/$MD5` || exit $ERROR_MD5
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+gnome-doc-utils: gnome-doc-utils
+gnome-doc-utils:
+gnome-doc-utils:
+gnome-doc-utils:
+gnome-doc-utils:
+gnome-doc-utils:
+gnome-doc-utils:
+gnome-doc-utils:
+gnome-doc-utils:
+gnome-doc-utils:
+gnome-doc-utils:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING* ChangeLog NEWS README"
+
+for file in $DOCS; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+